/**
 * ParticipationTargetDevice2.java
 *
 * File generated from the medication2::ParticipationTargetDevice2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetDevice2.
 *
 * 
 */

@XmlType(name = "ParticipationTargetDevice")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetDevice2")
public enum ParticipationTargetDevice2 {
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("NRD")
	NRD("NRD"),
	@XmlEnumValue("RDV")
	RDV("RDV");
	
	private final String value;

    ParticipationTargetDevice2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationTargetDevice2 fromValue(String v) {
        for (ParticipationTargetDevice2 c: ParticipationTargetDevice2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
